<i18n lang="yml">
en:
  title: "Displaced Trash Assistant"
nl:
  title: "Bijplaatsingen Assistent"
</i18n>

<template>
  <div>
    <AmsHeader />

    <main :class="$style['main']">
      <AmsSidebar />

      <Nuxt />
    </main>
  </div>
</template>

<script lang="ts">
import {
  onBeforeMount,
  provide,
} from "@nuxtjs/composition-api";

// Utility libraries
import { Settings } from "luxon";

// Composables
import store from "~/composables/store";
import useRowFoldout from "~/composables/row-foldout";
import useFiltering from "~/composables/filtering";

export default {
  components: {
    AmsHeader: () => import("~/components/Layout/Header.vue"),
    AmsSidebar: () => import("~/components/Layout/Sidebar.vue"),
  },

  setup () {
    const { foldoutState } = useRowFoldout();
    const { filter } = useFiltering();

    provide("store", store);

    /**
     * Close all opened stuff on ESC keyup.
     */
    function closeAll ({ keyCode }) {
      if (keyCode === 27) {
        filter();

        foldoutState.openedFilters = false;
        foldoutState.openedFoldout = null;
      }
    }

    onBeforeMount(() => {
      store.init();

      document.body.addEventListener("keyup", closeAll);
    });
  },

  head () {
    return {
      ...this.$nuxtI18nSeo(),
      title: this.$t("title"),
    };
  },

  created () {
    Settings.defaultLocale = this.$i18n.locale;
  },
};
</script>

<style lang="postcss" module>
.main {
  height: 100%;
  max-height: calc(100vh - var(--appheader-height, 4.375rem));

  @apply flex flex-col-reverse justify-between items-start overflow-hidden;

  @screen sm {
    @apply flex-row;
  }
}
</style>

<style lang="postcss">
a {
  @apply font-semibold;

  button {
    @apply border-transparent;
  }
}

a:focus {
  @apply outline-none;
}

a:hover,
a[data-focus-visible-added] {
  @apply outline-none underline text-blue-700;
}

a.nuxt-link-exact-active {
  button {
    @apply border-blue-700 text-blue-700;
  }
}
</style>
